<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>3D Reconstructor Demonstrator</title>
    <script type="module" src="{{ url_for('static',filename='model-viewer.mmin.js') }}"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel= "stylesheet" type= "text/css" href= "{{ url_for('static',filename='styles/main.css') }}">
    <script type="module" src="{{ url_for('static',filename='app.js') }}"></script>
</head>
<body>
<div class="container">
    <h2>3D Reconstruction</h2>
    <hr/>
    <div class="row">
        <div id="uploadFile">
            <h4>Select Folder with 2D images</h4>
            <form method="post" action="/upload" enctype="multipart/form-data">
                <div class="form-group">
                    <input type="file" name="file" class="Column" id="fileInput" webkitdirectory multiple/>
                    <button type="submit" id="button" >Upload file<span id="loading"></span></button>
                    <input type="checkbox" id="chunks" name="chunks"><label for="chunks">Process In Chunks</label>
                </div>
            </form>
        </div>
    </div>
        <div class="row border border-primary" id="viewer">
            <div id="outdated" style="display:none">
                <img src="../static/img/clock.png" width="80" height="80"></img>
                3D reconstruction processing ongoing, last reconstruction available <a href="/view/{{ contents }}" target="_blank">here</a>
            </div>
            {% if remotelocation %}
                <div class="col-10 border">
                    <model-viewer id="model3d" src="https://tno3dreconstructiondemo.s3.eu-west-1.amazonaws.com/{{ contents }}/scene_dense_mesh_refine_texture.glb" camera-controls auto-rotate >
                        <div id="lazy-load-poster" slot="poster"></div>
                    </model-viewer>
                </div>
            {% elif contents %}
                <div class="col-10 border">
                    <model-viewer id="model3d" src="/image/{{ contents }}/scene_dense_mesh_refine_texture.glb" camera-controls auto-rotate >
                        <div id="lazy-load-poster" slot="poster"></div>
                    </model-viewer>
                </div>
            {% endif %}
            {% if failedimages %}
                <div class="col border border-primary align-items-center" id="rejectedimages" >
                    <center><img src="../static/img/exclamation.png" width="42" height="42"></center>
                    <b><div class="row border border-bottom">
                        On-premise, back-up, reconstruction performed, some images not used.
                    </div></b>
                    <br>
                    <div class="limit">
                        {% for image in failedimages%}
                       <p> {{ image }} </p>
                        {% endfor %}                    
                    </div>
                </div>
            {% endif %}
        </div>
</div>

</body>
</html>